> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete video

> Operation to delete video entity.

  


When you delete a video, all transcoded qualities and all associated files such as subtitles and screenshots, as well as other data, are deleted from cloud storage.

The video is deleted permanently and irreversibly. Therefore, it is impossible to restore files after this.

  


For detailed information and information on calculating your maximum monthly storage usage, please refer to the Product Documentation.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml delete /streaming/videos/{video_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/videos/{video_id}:
    delete:
      tags:
        - Videos
      summary: Delete video
      description: >-
        Operation to delete video entity.

          


        When you delete a video, all transcoded qualities and all associated
        files such as subtitles and screenshots, as well as other data, are
        deleted from cloud storage.


        The video is deleted permanently and irreversibly. Therefore, it is
        impossible to restore files after this.

          


        For detailed information and information on calculating your maximum
        monthly storage usage, please refer to the Product Documentation.
      operationId: delete_api_videos_id
      parameters:
        - name: video_id
          in: path
          description: |-
            Video ID.   
            IDs of all created videos can be received via Get All Videos request
          required: true
          schema:
            type: integer
      responses:
        '204':
          description: Video has been deleted successfully
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client.streaming.videos.delete(
                0,
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Streaming.Videos.Delete(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
components:
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````